/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_printf.h                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/09/26 16:31:10 by erey-bet          #+#    #+#             */
/*   Updated: 2022/11/25 15:34:24 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

# pragma once

# include <stddef.h>
# include <unistd.h>
# include <stdarg.h>

u32	ft_printf(const char *str, ...);
u32 ft_printf_fd(u32 fd, const char *str, ...);
u32 ft_vdprintf(u32 fd, const char *str, va_list args);
u32	ft_putnbrhex_fd(u32 v, u32 fd);
u32	ft_putnbrhex_upper_fd(u32 v, u32 fd);
u32	ft_putvd_fd(void *v, u32 fd);
