/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_strlcpy.c                                       :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/07/17 19:03:49 by erey-bet          #+#    #+#             */
/*   Updated: 2022/10/05 14:37:25 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

u32 ft_strlcpy(char *dest, const char *src, u32 size)
{
	if (!size)
	    return (ft_strlen(src));

    u32 i = 0;
    for (; i < size && src[i] != '\0'; i++)
        dest[i] = src[i];
    dest[i] = '\0';
	return (ft_strlen(src));
}
