
#include "libft.h"

void	ft_lstremove_front(t_list **lst, void (*del)(void*))
{
    if (lst == NULL || del == NULL)
        return;

    t_list *next = (*lst)->next;
    del(*lst);
    free(*lst);
    *lst = next;
}
