/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   ft_putnbr_fd.c                                     :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/10/05 10:22:16 by erey-bet          #+#    #+#             */
/*   Updated: 2022/10/18 17:32:20 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "libft.h"

u32	ft_putnbr_fd(i64 n, int fd)
{
	if (n < 0)
		ft_putchar_fd('-', fd);
    n = ABS(n);
	int len = ft_get_size(n);
	while (--len > 0)
		ft_putchar_fd(n / ft_power(10, len) % 10 + 48, fd);
	ft_putchar_fd(n % 10 + 48, fd);
    return ft_get_size(n);
}
